HLR (JSON API)
Example of a request to check the validity of a specified number. You can also get detailed information about the number, including identifying the mobile operator and whether the number is in roaming. The subscriber does not receive any notifications, as the request is directed to the telecom operator's equipment.
URI: https://api.interconnect.solutions/api/json.php
All requests to API are sent in JSON format using the POST method.
Header parameters
Requests must contain header Content-Type: application/json, otherwise, the request will be considered invalid even if it has valid JSON.
Request parameters
Request example
- Sync
- Async
- JSON
- cURL
- PHP
- Python
- Node.js
{
"auth": "bb56a4369eb19***cfec6d1776bd25",
"data": [
{
"type": "hlr",
"id": 100500,
"phone": 380971234567
}
]
}
curl -X POST 'https://api.interconnect.solutions/api/json.php' \
-H 'Content-Type: application/json' \
--data-raw '{
"auth": "bb56a4369eb19***cfec6d1776bd25",
"data": [
{
"type": "hlr",
"id": 100500,
"phone": 380971234567
}
]
}'
<?php
$payload = json_encode([
'auth' => 'bb56a4369eb19***cfec6d1776bd25',
'data' => [
[
'type' => 'hlr',
'id' => 100500,
'phone' => 380971234567,
],
],
], JSON_UNESCAPED_UNICODE);
$ch = curl_init('https://api.interconnect.solutions/api/json.php');
curl_setopt_array($ch, [
CURLOPT_POST => true,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ['Content-Type: application/json'],
CURLOPT_POSTFIELDS => $payload,
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
import requests
payload = {
"auth": "bb56a4369eb19***cfec6d1776bd25",
"data": [
{
"type": "hlr",
"id": 100500,
"phone": 380971234567,
},
],
}
response = requests.post(
"https://api.interconnect.solutions/api/json.php",
json=payload,
timeout=30,
)
print(response.json())
const payload = {
"auth": "bb56a4369eb19***cfec6d1776bd25",
"data": [
{
"type": "hlr",
"id": 100500,
"phone": 380971234567
}
]
};
const response = await fetch("https://api.interconnect.solutions/api/json.php", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify(payload),
});
console.log(await response.json());
- JSON
- cURL
- PHP
- Python
- Node.js
{
"auth": "bb56a4369eb19***cfec6d1776bd25",
"data": [
{
"type": "hlr",
"id": 100500,
"phone": 380971234567
}
]
}
curl -X POST 'https://api-async.interconnect.solutions/v1/json' \
-H 'Content-Type: application/json' \
--data-raw '{
"auth": "bb56a4369eb19***cfec6d1776bd25",
"data": [
{
"type": "hlr",
"id": 100500,
"phone": 380971234567
}
]
}'
<?php
$payload = json_encode([
'auth' => 'bb56a4369eb19***cfec6d1776bd25',
'data' => [
[
'type' => 'hlr',
'id' => 100500,
'phone' => 380971234567,
],
],
], JSON_UNESCAPED_UNICODE);
$ch = curl_init('https://api-async.interconnect.solutions/v1/json');
curl_setopt_array($ch, [
CURLOPT_POST => true,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ['Content-Type: application/json'],
CURLOPT_POSTFIELDS => $payload,
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
import requests
payload = {
"auth": "bb56a4369eb19***cfec6d1776bd25",
"data": [
{
"type": "hlr",
"id": 100500,
"phone": 380971234567,
},
],
}
response = requests.post(
"https://api-async.interconnect.solutions/v1/json",
json=payload,
timeout=30,
)
print(response.json())
const payload = {
"auth": "bb56a4369eb19***cfec6d1776bd25",
"data": [
{
"type": "hlr",
"id": 100500,
"phone": 380971234567
}
]
};
const response = await fetch("https://api-async.interconnect.solutions/v1/json", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify(payload),
});
console.log(await response.json());
Response parameters
| successinteger Result of request execution | ||||||||||||||||||||
| errorstring Error text, returned if success=false | ||||||||||||||||||||
| datalist[object] List of objects with the results of request execution
|
Response examples
- Successful
- Access denied
HTTP Status Code: 200
Content Type: JSON application/json
{
"success": true,
"data": [
{
"success": true,
"data": {
"phone": 380971234567,
"status": "DELIVERED",
"imsi": 255010000000000,
"mccmnc": 25501,
"ported": true,
"network": {
"origin": {
"name": "Kyivstar",
"prefix": 97,
"country": {
"name": "Ukraine",
"prefix": 380,
}
},
"ported": {
"name": "Vodafone Ukraine (fka MTS)",
"prefix": 66,
"country": {
"name": "Ukraine",
"prefix": 380,
}
}
}
}
}
]
}
HTTP Status Code: 200
Content Type: JSON application/json
{
"success": false,
"error": "Access denied"
}